Get current API key
curl --request GET \
--url https://{shop_domain}/api/partner/v1/whoami \
--header 'Authorization: Bearer <token>'import requests
url = "https://{shop_domain}/api/partner/v1/whoami"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{shop_domain}/api/partner/v1/whoami', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 12,
"name": "Partner integration",
"scopes": [
"partner.orders.read",
"partner.customers.read"
],
"tenant": {
"ref": "440db2ce-91eb-4c1b-8c84-226c0f6fb4cc"
},
"expires_at": "2026-09-25T23:59:59+01:00"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Get current API key
Requires a valid active partner API key. No feature scope is required.
GET
/
whoami
Get current API key
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
The authenticated API key.
Example:
12
Example:
"Partner integration"
Available options:
partner.orders.read, partner.customers.read, partner.customers.pii, partner.products.read, partner.webhooks.manage, partner.customers.write Example:
[
"partner.orders.read",
"partner.customers.read"
]
Show child attributes
Show child attributes
Example:
"2026-09-25T23:59:59+01:00"
Last modified on July 2, 2026
⌘I